Bug 1871970 - [OSP] Haproxy config inconsistent with other on-prem platforms
Summary: [OSP] Haproxy config inconsistent with other on-prem platforms
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Machine Config Operator
Version: 4.6
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
: 4.6.0
Assignee: Martin André
QA Contact: David Sanz
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-08-24 17:55 UTC by Martin André
Modified: 2020-10-27 16:31 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-10-27 16:31:48 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift machine-config-operator pull 2019 0 None closed Bug 1871970: OpenStack: Align haproxy config with other on-prem platforms 2020-09-16 06:07:06 UTC
Red Hat Product Errata RHBA-2020:4196 0 None None None 2020-10-27 16:31:50 UTC

Description Martin André 2020-08-24 17:55:10 UTC
Description of problem: The HAProxy configuration for OpenStack platforms has diverged from the other on-prem platforms. 

This is believed to be the reason for the high frequency of flakes for `[sig-api-machinery] API data in etcd should be stored at the correct location and version for all resources [Serial]` test observed on OpenStack platform and reported at https://bugzilla.redhat.com/show_bug.cgi?id=1870247.

The haproxy configuration should be consistent across platforms to prevent issues like this one and ease trouble-shoot in the future.

Comment 3 David Sanz 2020-08-27 10:08:21 UTC
Verified on 4.6.0-0.nightly-2020-08-27-005538

Comment 5 errata-xmlrpc 2020-10-27 16:31:48 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (OpenShift Container Platform 4.6 GA Images), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:4196


Note You need to log in before you can comment on or make changes to this bug.